### Method

# CM Room get_past_name

#### Declaration [src]

    const char*
    cm_room_get_past_name (
      CmRoom* self
    )

#### Description [src]

Get the matrix room name set before the current one. The past name is set only if the room is a direct room and current room name is empty (in the case where `cm_room_get_name()` shall return “Empty room”).

#### Return value

Type: `const char*`

The past room name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.